/// <reference types="node" />
import { Readable } from 'stream';
import AWS from '../../aws';
export declare type CWLEvent = AWS.CloudWatchLogs.FilteredLogEvent;
export declare type CWLResp = AWS.CloudWatchLogs.Types.FilterLogEventsResponse;
export declare type CWLParams = AWS.CloudWatchLogs.Types.FilterLogEventsRequest;
export declare class CloudWatchLog extends Readable {
    logGroupName: string;
    startTime: number;
    endTime: number;
    private client;
    private nextToken;
    private buffer;
    private hasStarted;
    constructor(logGroupName: string, startTime?: number, endTime?: number);
    _read(): Promise<void>;
    private fetchPage();
}
